#pragma once
#include "KCircle.h"
#include "KPawn.h"

namespace KapitanGame
{
	class KCirclePawn final :public KPawn
	{
	public:
		KCirclePawn(const KVector2D& position, const KTexture& texture,
			const std::shared_ptr<KPlayerController>& playerController);

		const KCollider* GetCollider() const override;
	private:
		KCircle Collider;
	};
}

