#pragma once
#include "KObject.h"
#include "KRect.h"

namespace KapitanGame
{
	class KExit final :
		public KObject
	{
	public:
		KExit(const KVector2D& position, const KTexture& texture)
			: KObject(position, texture),
			Collider(this, static_cast<float>(texture.GetWidth()), static_cast<float>(texture.GetHeight()))
		{
		}

		[[nodiscard]] const KCollider* GetCollider() const override;
	private:
		KRect Collider;
	};
}

